create or replace package plpdf_pdfx
authid current_user is 
--v5.9
--
v_pdfx1 varchar2(10 char);
v_pdfx_profile_objnum plpdf_type.t_objnum;
v_pdfx_metadata_objnum plpdf_type.t_objnum;
--
-- Create XMP as blob
function CreateXmp(
    p_producer varchar2,
    p_title varchar2 default null,
    p_author varchar2 default null,
    p_subject varchar2 default null,
    p_keywords varchar2 default null,
    p_creator varchar2 default null,
    p_creationdate date default null,
    p_moddate date default null,
    p_PdfXConformance varchar2 default null
    ) return blob;
--srgb
function srgb_profile
  return blob;
-------------------
procedure initvars;
-------------------
end plpdf_pdfx;
/

